Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## info.bioinfweb.treegraph.graphics.export
Enum GraphicFormat

    java.lang.Object
      java.lang.Enum<GraphicFormat>
          info.bioinfweb.treegraph.graphics.export.GraphicFormat

All Implemented Interfaces:
  Serializable, Comparable<GraphicFormat>

    public enum GraphicFormat

extends Enum<GraphicFormat>

Enum Constant Summary
`EMF`
`JPEG`
`PDF`
`PNG`
`SVG`
`TIFF`

Method Summary
`static GraphicFormat` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GraphicFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SVG

    public static final GraphicFormat SVG

### PDF

    public static final GraphicFormat PDF

### PNG

    public static final GraphicFormat PNG

### TIFF

    public static final GraphicFormat TIFF

### JPEG

    public static final GraphicFormat JPEG

### EMF

    public static final GraphicFormat EMF

Method Detail

### values

    public static GraphicFormat[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (GraphicFormat c : GraphicFormat.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static GraphicFormat valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD